## org.eclipse.datatools.connectivity.ui.templates
Class ConnectionProfileTemplateSection

    java.lang.Object
      org.eclipse.pde.ui.templates.AbstractTemplateSection
          org.eclipse.pde.ui.templates.BaseOptionTemplateSection
              org.eclipse.pde.ui.templates.OptionTemplateSection
                  org.eclipse.datatools.connectivity.ui.templates.AbstractConnectivityTemplateSection
                      org.eclipse.datatools.connectivity.ui.templates.ConnectionProfileTemplateSection

All Implemented Interfaces:
  org.eclipse.pde.ui.templates.ITemplateSection, org.eclipse.pde.ui.templates.IVariableProvider

    public class ConnectionProfileTemplateSection

extends AbstractConnectivityTemplateSection

PDE template section for defining a new connection profile plug-in

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.pde.ui.templates.AbstractTemplateSection
`KEY_ACTIVATOR_SIMPLE, KEY_PACKAGE_NAME, KEY_PLUGIN_CLASS, KEY_PLUGIN_ID, KEY_PLUGIN_NAME`

Constructor Summary
`ConnectionProfileTemplateSection()` Constructor

Method Summary
`org.eclipse.pde.core.plugin.IPluginReference[]` `getDependencies(java.lang.String schemaVersion)`
`java.lang.String[]` `getNewFiles()`
`java.lang.String` `getSectionId()`
`java.lang.String` `getUsedExtensionPoint()`

Methods inherited from class org.eclipse.datatools.connectivity.ui.templates.AbstractConnectivityTemplateSection
`addPages, getDependencies, initializeFields, validateOptions`

Methods inherited from class org.eclipse.pde.ui.templates.OptionTemplateSection
`createPage, createPage, getDescription, getLabel, getOptions, getOptions, getPage, getPageCount, getPageIndex, getTemplateLocation, setPageCount`

Methods inherited from class org.eclipse.pde.ui.templates.BaseOptionTemplateSection
`execute, getBooleanOption, getReplacementString, getStringOption, getValue, isDependentOnParentWizard, setOptionEnabled`

Methods inherited from class org.eclipse.pde.ui.templates.AbstractTemplateSection
`getNumberOfWorkUnits, getPagesAdded, getPluginResourceString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileTemplateSection

    public ConnectionProfileTemplateSection()

  Constructor

Method Detail

### getSectionId

    public java.lang.String getSectionId()

  Specified by:
    `getSectionId` in class `org.eclipse.pde.ui.templates.OptionTemplateSection`

### getUsedExtensionPoint

    public java.lang.String getUsedExtensionPoint()

### getDependencies

    public org.eclipse.pde.core.plugin.IPluginReference[] getDependencies(java.lang.String schemaVersion)

  Specified by:
    `getDependencies` in interface `org.eclipse.pde.ui.templates.ITemplateSection`
  Overrides:
    `getDependencies` in class `org.eclipse.pde.ui.templates.AbstractTemplateSection`

### getNewFiles

    public java.lang.String[] getNewFiles()

  Specified by:
    `getNewFiles` in interface `org.eclipse.pde.ui.templates.ITemplateSection`
  Overrides:
    `getNewFiles` in class `AbstractConnectivityTemplateSection`